
syms sh ss A As e alpha c t ts  mu sigma cs cu  m_s m_u lambda3 lambda4 lambda7 lambda8 lambda9 lambda10 lambda11 lambda12

VSH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-sh+(1-sigma) ...
    * mu) / (sh+sigma*mu)) ^ (1-alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha)) ;

VUH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((sh+sigma*mu) /...
    (1-sh+(1-sigma) * mu)) ^ (alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha));

VSS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-ss-(1-sigma) ...
    * mu) / (ss-sigma*mu)) ^ (1-alpha) + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha)) ;

VUS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((ss-sigma*mu) /...
    (1-ss-(1-sigma) * mu)) ^ alpha + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha))  ;

c7=-VSS+VSH-cs;

c8=-m_s+ss*cs/c;

c9=VUS-VUH+cu   ;

c10=m_u-(1-ss)*cu/c;

c11= -mu+ m_s + m_u;

c12=-sigma + m_s/(m_s + m_u);

L1= VSH -lambda7 *c7 - lambda8 *c8 - lambda9 *c9 - lambda10 *c10 - lambda11 *c11 - lambda12 *c12;
  
L2= VSS -lambda7 *c7 - lambda8 *c8 - lambda9 *c9 - lambda10 *c10 - lambda11 *c11 - lambda12 *c12;


d1=diff (L1, t)
d2=diff(L1, sigma)
d3=diff(L1,mu)
d4=diff(L1,cs)
d5=diff(L1, cu)
d6=diff(L1, m_s)
d7=diff(L1, m_u)
d8=diff(L1,lambda7)
d9=diff(L1,lambda8)
d10=diff(L1,lambda9)
d11=diff(L1,lambda10)
d12=diff(L1,lambda11)
d13=diff(L1,lambda12)
d14=diff (L2, ts)

  
%source country does not decide on: sigma ,mu cs, cu, m_s, m_u



