
clc;
resultstable=zeros(20,22);
resultstableb=zeros(20,16);
resultstablez=zeros(20,10);
check = zeros(20,3);
checkb = zeros(20,3);

for i =1:20

% controlled migration regime A:
    
 sh= 0.7;
ss=sh;
 A = 3.3 + i/10;
As = 3.3;
e = 0.1;
alpha = 0.85;
c = 10;    

params =[sh;ss; A; As; e; alpha; c];

t=0.1;
ts=0.1;
cs=2;
cu=3;
m_s=sh*cs/c;
m_u=(1-sh)*cu/c;
mu=m_s+m_u;
sigma=m_s/(m_s+m_u);
lambda = 0.1;

x0=[t;ts; mu;sigma;cs;cu;m_s;m_u;lambda;lambda;lambda;lambda;lambda;lambda];

options.MaxFunEvals=10000000;

f=@(x)A_ms_eq_free_migration(x,params);

[x, fval,exitflag]=fsolve(f,x0);

t=x(1);
ts=x(2);
mu=x(3);
sigma=x(4);
cs=x(5);
cu=x(6);
m_s=x(7);
m_u=x(8);
lambda7=x(9);
lambda8=x(10);
lambda9=x(11);
lambda10=x(12);
lambda11=x(13);
lambda12=x(14);


bH=(t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha *(1-sh+(1-sigma)*mu)^(1-alpha);
bS=(ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha *(1-ss-(1-sigma)*mu)^(1-alpha);

VSH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-sh+(1-sigma) ...
    * mu) / (sh+sigma*mu)) ^ (1-alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha)) ;

VUH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((sh+sigma*mu) /...
    (1-sh+(1-sigma) * mu)) ^ (alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha));

VSS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-ss-(1-sigma) ...
    * mu) / (ss-sigma*mu)) ^ (1-alpha) + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha)) ;

VUS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((ss-sigma*mu) /...
    (1-ss-(1-sigma) * mu)) ^ alpha + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha))  ;

%m(1) = lambda7*((A^(e + 1)*alpha^(alpha*e + 1)*(-(sh + mu*(sigma - 1) -1)/(sh + mu*sigma))^(1 - alpha)*(1 - t)^e)/(1 - alpha)^(e*(alpha - 1)) - (((A^(e + 1)*alpha^(alpha*e)*(sh + mu*sigma)^alpha*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (A^(e + 1)*alpha^(alpha*e)*e*t*(sh + mu*sigma)^alpha*(1 - t)^(e - 1)*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(1 - mu*(sigma - 1) - sh)^(alpha - 1))/(A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(1 - t)^e)) - lambda9*(A^(e + 1)*alpha^(alpha*e)*(-(sh + mu*sigma)/(sh + mu*(sigma - 1) - 1))^alpha*(1 - alpha)^(1 - e*(alpha - 1))*(1 - t)^e - (((A^(e + 1)*alpha^(alpha*e)*(sh + mu*sigma)^alpha*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (A^(e + 1)*alpha^(alpha*e)*e*t*(sh + mu*sigma)^alpha*(1 - t)^(e - 1)*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(1 - mu*(sigma - 1) - sh)^(alpha - 1))/(A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(1 - t)^e)) - (A^(e + 1)*alpha^(alpha*e + 1)*(-(sh + mu*(sigma - 1) - 1)/(sh + mu*sigma))^(1 - alpha)*(1 - t)^e)/(1 - alpha)^(e*(alpha - 1)) + (((A^(e + 1)*alpha^(alpha*e)*(sh + mu*sigma)^alpha*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (A^(e + 1)*alpha^(alpha*e)*e*t*(sh + mu*sigma)^alpha*(1 - t)^(e - 1)*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(1 - mu*(sigma - 1) - sh)^(alpha - 1))/(A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(1 - t)^e)
 
%m(2) = lambda12 + lambda9*(As^(e + 1)*alpha*alpha^(alpha*e)*(mu/(mu*(sigma - 1) - ss + 1) + mu*(ss - mu*sigma)/(mu*(sigma - 1) - ss + 1)^2)*((ss - mu*sigma)/(mu*(sigma - 1) - ss + 1))^(alpha - 1)*(1 - alpha)^(1 - e*(alpha - 1))/(e + 1)*(1 - ts)^(e + 1) - A^(e + 1)*alpha*alpha^(alpha*e)*(-(sh + mu*sigma)/(sh + mu*(sigma - 1) - 1))^(alpha - 1)*(mu/(sh + mu*(sigma - 1) - 1) - mu*(sh + mu*sigma)/(sh + mu*(sigma - 1) - 1)^2)*(1 - alpha)^(1 - e*(alpha - 1))/(e + 1)*(1 - t)^(e + 1) + 1/A^(e + 1)/alpha^(alpha*e)/t/(sh + mu*sigma)^alpha*(A^(e + 1)*alpha^(alpha*e)*mu*t*(sh + mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e/(1 - mu*(sigma - 1) - sh)^alpha + A^(e + 1)*alpha*alpha^(alpha*e)*mu*t*(sh + mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(alpha - 1) + 1/As^(e + 1)/alpha^(alpha*e)/ts/(ss - mu*sigma)^alpha*(As^(e + 1)*alpha^(alpha*e)*mu*ts*(ss - mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e/(mu*(sigma - 1) - ss + 1)^alpha + As^(e + 1)*alpha*alpha^(alpha*e)*mu*ts*(ss - mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(alpha - 1)) - lambda7*(A^(e + 1)*alpha^(alpha*e + 1)/(-1/(sh + mu*sigma)*(sh + mu*(sigma - 1) - 1))^alpha*(mu/(sh + mu*sigma) - mu/(sh + mu*sigma)^2*(sh + mu*(sigma - 1) - 1))*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(e + 1)*(1 - t)^(e + 1) + As^(e + 1)*alpha^(alpha*e + 1)/(1/(ss - mu*sigma)*(mu*(sigma - 1) - ss + 1))^alpha*(mu/(ss - mu*sigma) + mu/(ss - mu*sigma)^2*(mu*(sigma - 1) - ss + 1))*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(e + 1)*(1 - ts)^(e + 1) + 1/A^(e + 1)/alpha^(alpha*e)/t/(sh + mu*sigma)^alpha*(A^(e + 1)*alpha^(alpha*e)*mu*t*(sh + mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e/(1 - mu*(sigma - 1) - sh)^alpha + A^(e + 1)*alpha*alpha^(alpha*e)*mu*t*(sh + mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(alpha - 1) + 1/As^(e + 1)/alpha^(alpha*e)/ts/(ss - mu*sigma)^alpha*(As^(e + 1)*alpha^(alpha*e)*mu*ts*(ss - mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e/(mu*(sigma - 1) - ss + 1)^alpha + As^(e + 1)*alpha*alpha^(alpha*e)*mu*ts*(ss - mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(alpha - 1)) + A^(e + 1)*alpha^(alpha*e + 1)/(-1/(sh + mu*sigma)*(sh + mu*(sigma - 1) - 1))^alpha*(mu/(sh + mu*sigma) - mu/(sh + mu*sigma)^2*(sh + mu*(sigma - 1) - 1))*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(e + 1)*(1 - t)^(e + 1) + 1/A^(e + 1)/alpha^(alpha*e)/t/(sh + mu*sigma)^alpha*(A^(e + 1)*alpha^(alpha*e)*mu*t*(sh + mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e/(1 - mu*(sigma - 1) - sh)^alpha + A^(e + 1)*alpha*alpha^(alpha*e)*mu*t*(sh + mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(alpha - 1)

%m(3) = lambda9*(As^(e + 1)*alpha*alpha^(alpha*e)*((ss - mu*sigma)/(mu*(sigma - 1) - ss + 1))^(alpha - 1)*(1 - alpha)^(1 - e*(alpha - 1))/(e + 1)*(1 - ts)^(e + 1)*(sigma/(mu*(sigma - 1) - ss + 1) + (ss - mu*sigma)*(sigma - 1)/(mu*(sigma - 1) - ss + 1)^2) - A^(e + 1)*alpha*alpha^(alpha*e)*(sigma/(sh + mu*(sigma - 1) - 1) - (sh + mu*sigma)*(sigma - 1)/(sh + mu*(sigma - 1) - 1)^2)*(-(sh + mu*sigma)/(sh + mu*(sigma - 1) - 1))^(alpha - 1)*(1 - alpha)^(1 - e*(alpha - 1))/(e + 1)*(1 - t)^(e + 1) + 1/A^(e + 1)/alpha^(alpha*e)/t/(sh + mu*sigma)^alpha*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - t)^e*(A^(e + 1)*alpha*alpha^(alpha*e)*sigma*t*(sh + mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha) - A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)^2*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha) + A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(sigma - 1)*(1 - t)^e/(1 - mu*(sigma - 1) - sh)^alpha)*(1 - mu*(sigma - 1) - sh)^(alpha - 1) + 1/As^(e + 1)/alpha^(alpha*e)/ts/(ss - mu*sigma)^alpha*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - ts)^e*(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)^2*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha) + As^(e + 1)*alpha*alpha^(alpha*e)*sigma*ts*(ss - mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha) + As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(sigma - 1)*(1 - ts)^e/(mu*(sigma - 1) - ss + 1)^alpha)*(mu*(sigma - 1) - ss + 1)^(alpha - 1)) - lambda7*(As^(e + 1)*alpha^(alpha*e + 1)*(1/(ss - mu*sigma)*(sigma - 1) + sigma/(ss - mu*sigma)^2*(mu*(sigma - 1) - ss + 1))/(1/(ss - mu*sigma)*(mu*(sigma - 1) - ss + 1))^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(e + 1)*(1 - ts)^(e + 1) + A^(e + 1)*alpha^(alpha*e + 1)/(-1/(sh + mu*sigma)*(sh + mu*(sigma - 1) - 1))^alpha*(1/(sh + mu*sigma)*(sigma - 1) - sigma/(sh + mu*sigma)^2*(sh + mu*(sigma - 1) - 1))*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(e + 1)*(1 - t)^(e + 1) + 1/A^(e + 1)/alpha^(alpha*e)/t/(sh + mu*sigma)^alpha*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - t)^e*(A^(e + 1)*alpha*alpha^(alpha*e)*sigma*t*(sh + mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha) - A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)^2*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha) + A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(sigma - 1)*(1 - t)^e/(1 - mu*(sigma - 1) - sh)^alpha)*(1 - mu*(sigma - 1) - sh)^(alpha - 1) + 1/As^(e + 1)/alpha^(alpha*e)/ts/(ss - mu*sigma)^alpha*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - ts)^e*(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)^2*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha) + As^(e + 1)*alpha*alpha^(alpha*e)*sigma*ts*(ss - mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha) + As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(sigma - 1)*(1 - ts)^e/(mu*(sigma - 1) - ss + 1)^alpha)*(mu*(sigma - 1) - ss + 1)^(alpha - 1)) - lambda11 + A^(e + 1)*alpha^(alpha*e + 1)/(-1/(sh + mu*sigma)*(sh + mu*(sigma - 1) - 1))^alpha*(1/(sh + mu*sigma)*(sigma - 1) - sigma/(sh + mu*sigma)^2*(sh + mu*(sigma - 1) - 1))*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(e + 1)*(1 - t)^(e + 1) + 1/A^(e + 1)/alpha^(alpha*e)/t/(sh + mu*sigma)^alpha*(1 - alpha)^(e*(alpha - 1))*(mu + 1)/(1 - t)^e*(A^(e + 1)*alpha*alpha^(alpha*e)*sigma*t*(sh + mu*sigma)^(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha) - A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)^2*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha) + A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(alpha - 1)/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(sigma - 1)*(1 - t)^e/(1 - mu*(sigma - 1) - sh)^alpha)*(1 - mu*(sigma - 1) - sh)^(alpha - 1)
 
%aaa =lambda7 - (lambda8*ss)/c 
 
 %m(5) =- lambda9 - (lambda10*(ss - 1))/c

 %m(6) = lambda8 + lambda11 + lambda12*(m_s/(m_s + m_u)^2 - 1/(m_s + m_u))
 
%m(7) = lambda11 - lambda10 + (lambda12*m_s)/(m_s + m_u)^2

%aaa = cs - log(A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha)) + log((As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1))) - (A^(e + 1)*alpha^(alpha*e + 1)*(-(sh + mu*(sigma - 1) - 1)/(sh + mu*sigma))^(1 - alpha)*(1 - t)^(e + 1))/((1 - alpha)^(e*(alpha - 1))*(e + 1)) + (As^(e + 1)*alpha^(alpha*e + 1)*((mu*(sigma - 1) - ss + 1)/(ss - mu*sigma))^(1 - alpha)*(1 - ts)^(e + 1))/((1 - alpha)^(e*(alpha - 1))*(e + 1))
 
 %m(9) = m_s - (cs*ss)/c
 
%m(10) =log((A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1))) - cu - log(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha/(1 - alpha)^(e*(alpha - 1))/(mu + 1)*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha)) + (A^(e + 1)*alpha^(alpha*e)*(-(sh + mu*sigma)/(sh + mu*(sigma - 1) - 1))^alpha*(1 - alpha)^(1 - e*(alpha - 1))*(1 - t)^(e + 1))/(e + 1) - (As^(e + 1)*alpha^(alpha*e)*((ss - mu*sigma)/(mu*(sigma - 1) - ss + 1))^alpha*(1 - alpha)^(1 - e*(alpha - 1))*(1 - ts)^(e + 1))/(e + 1)
 
%m(11) = - m_u - (cu*(ss - 1))/c

% aaa = m_s + m_u - mu
 
%m(13) =sigma - m_s/(m_s + m_u)
 
 %m(14) = lambda9*(As^(e + 1)*alpha^(alpha*e)*((ss - mu*sigma)/(mu*(sigma - 1) - ss + 1))^alpha*(1 - alpha)^(1 - e*(alpha - 1))*(1 - ts)^e - (((As^(e + 1)*alpha^(alpha*e)*(ss - mu*sigma)^alpha*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (As^(e + 1)*alpha^(alpha*e)*e*ts*(ss - mu*sigma)^alpha*(1 - ts)^(e - 1)*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(mu*(sigma - 1) - ss + 1)^(alpha - 1))/(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(1 - ts)^e)) - lambda7*((As^(e + 1)*alpha^(alpha*e + 1)*((mu*(sigma - 1) - ss + 1)/(ss - mu*sigma))^(1 - alpha)*(1 - ts)^e)/(1 - alpha)^(e*(alpha - 1)) - (((As^(e + 1)*alpha^(alpha*e)*(ss - mu*sigma)^alpha*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (As^(e + 1)*alpha^(alpha*e)*e*ts*(ss - mu*sigma)^alpha*(1 - ts)^(e - 1)*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(mu*(sigma - 1) - ss + 1)^(alpha - 1))/(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(1 - ts)^e)) - (As^(e + 1)*alpha^(alpha*e + 1)*((mu*(sigma - 1) - ss + 1)/(ss - mu*sigma))^(1 - alpha)*(1 - ts)^e)/(1 - alpha)^(e*(alpha - 1)) + (((As^(e + 1)*alpha^(alpha*e)*(ss - mu*sigma)^alpha*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (As^(e + 1)*alpha^(alpha*e)*e*ts*(ss - mu*sigma)^alpha*(1 - ts)^(e - 1)*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(mu*(sigma - 1) - ss + 1)^(alpha - 1))/(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(1 - ts)^e)
 



resultstable(i,1)=A;
resultstable(i,2)=x(1);
resultstable(i,3)=bH;
resultstable(i,4)=bS;
resultstable(i,5)=x(2);
resultstable(i,6)=x(3);
resultstable(i,7)=x(4);
resultstable(i,8)=x(5);
resultstable(i,9)=x(6);
resultstable(i,10)=x(7);
resultstable(i,11)=x(8);
resultstable(i,12)=x(9);
resultstable(i,13)=x(10);
resultstable(i,14)=x(11);
resultstable(i,15)=x(12);
resultstable(i,16)=x(13);
resultstable(i,17)=x(14);
resultstable(i,18)=VSH;
resultstable(i,19)=VUH;
resultstable(i,20)=VSS;
resultstable(i,21)=VUS;
resultstable(i,22)=exitflag;

%this needs to be larger than 0.5 so the 
%majority will still be the skilled:
check(i,1) = sh-mu*sigma;
%those need to be larger than 1 so Ws>Wu in the 
%source and host countries:
check(i,2) = alpha*(1-sh-(1-sigma)*mu)/((1-alpha)*(sh+sigma*mu)); 
check(i,3) = alpha*(1-sh-(1-sigma)*mu)/((1-alpha)*(sh-sigma*mu));

% free migration regime B:
    
 shb= sh;
ssb=ss;
 Ab = A;
Asb = As;
eb = e;
alphab = alpha;
cb = c;    

paramsb =[shb;ssb; Ab; Asb; eb; alphab; cb];

tb=0.1;
tsb=0.1;
csb=2;
cub=3;
m_sb=sh*cs/c;
m_ub=(1-sh)*cu/c;
mub=m_s+m_u;
sigmab=m_s/(m_s+m_u);

x0b=[tb;tsb; mub;sigmab;csb;cub;m_sb;m_ub];

options.MaxFunEvals=10000000;

l=@(x)B_ms_eq_free_migration(x,paramsb);

[x, fval,exitflag]=fsolve(l,x0b);


t=x(1);
ts=x(2);
mu=x(3);
sigma=x(4);
cs=x(5);
cu=x(6);
m_s=x(7);
m_u=x(8);

bH=(t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha *(1-sh+(1-sigma)*mu)^(1-alpha);
bS=(ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha *(1-ss-(1-sigma)*mu)^(1-alpha);

VSH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-sh+(1-sigma) ...
    * mu) / (sh+sigma*mu)) ^ (1-alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha)) ;

VUH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((sh+sigma*mu) /...
    (1-sh+(1-sigma) * mu)) ^ (alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha));

VSS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-ss-(1-sigma) ...
    * mu) / (ss-sigma*mu)) ^ (1-alpha) + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha)) ;

VUS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((ss-sigma*mu) /...
    (1-ss-(1-sigma) * mu)) ^ alpha + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha))  ;

%y(1) = (((A^(e + 1)*alpha^(alpha*e)*(sh + mu*sigma)^alpha*(1 - t)^e*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (A^(e + 1)*alpha^(alpha*e)*e*t*(sh + mu*sigma)^alpha*(1 - t)^(e - 1)*(1 - mu*(sigma - 1) - sh)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(1 - mu*(sigma - 1) - sh)^(alpha - 1))/(A^(e + 1)*alpha^(alpha*e)*t*(sh + mu*sigma)^alpha*(1 - t)^e) - (A^(e + 1)*alpha^(alpha*e + 1)*(-(sh + mu*(sigma - 1) - 1)/(sh + mu*sigma))^(1 - alpha)*(1 - t)^e)/(1 - alpha)^(e*(alpha - 1))
 
%bbb = (((As^(e + 1)*alpha^(alpha*e)*(ss - mu*sigma)^alpha*(1 - ts)^e*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)) - (As^(e + 1)*alpha^(alpha*e)*e*ts*(ss - mu*sigma)^alpha*(1 - ts)^(e - 1)*(mu*(sigma - 1) - ss + 1)^(1 - alpha))/((1 - alpha)^(e*(alpha - 1))*(mu + 1)))*(1 - alpha)^(e*(alpha - 1))*(mu + 1)*(mu*(sigma - 1) - ss + 1)^(alpha - 1))/(As^(e + 1)*alpha^(alpha*e)*ts*(ss - mu*sigma)^alpha*(1 - ts)^e) - (As^(e + 1)*alpha^(alpha*e + 1)*((mu*(sigma - 1) - ss + 1)/(ss - mu*sigma))^(1 - alpha)*(1 - ts)^e)/(1 - alpha)^(e*(alpha - 1))

 %y(3)=-VSS+VSH-cs

%y(4)=-m_s+ss*cs/c

%y(5)=VUS-VUH+cu   

%bbb=m_u-(1-ss)*cu/c

%y(7)= mu - m_s - m_u

%bbb=-sigma + m_s/(m_s + m_u)



resultstableb(i,1)=Ab;
resultstableb(i,2)=x(1);
resultstableb(i,3)=bH;
resultstableb(i,4)=bS;
resultstableb(i,5)=x(2);
resultstableb(i,6)=x(3);
resultstableb(i,7)=x(4);
resultstableb(i,8)=x(5);
resultstableb(i,9)=x(6);
resultstableb(i,10)=x(7);
resultstableb(i,11)=x(8);
resultstableb(i,12)=VSH;
resultstableb(i,13)=VUH;
resultstableb(i,14)=VSS;
resultstableb(i,15)=VUS;
resultstableb(i,16)=exitflag;

%this needs to be larger than 0.5 so the 
%majority will still be the skilled:
checkb(i,1) = shb-mu*sigma;
%those need to be larger than 1 so Ws>Wu in the 
%source and host countries:
checkb(i,2) = alpha*(1-shb-(1-sigma)*mu)/((1-alpha)*(shb+sigma*mu)); 
checkb(i,3) = alpha*(1-shb-(1-sigma)*mu)/((1-alpha)*(shb-sigma*mu));

% zero migration:

shz= sh;
ssz=ss;
Az= A;
Asz = As;
ez = e;
alphaz = alpha;
cz = c;    

paramsz = [shz; ssz; Az; Asz; ez; alphaz; cz];

tz=0.1;
tsz=0.1;

x0z=[tz;tsz];

options.MaxFunEvals=10000000;

g=@(x)ms_eq_zero_migration(x,paramsz);

[x, fval,exitflag]=fsolve(g,x0z);

t=x(1);
ts=x(2);
mu=0;
sigma=0;
cs=0;
cu=0;
m_s=0;
m_u=0;

bH=(t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha *(1-sh+(1-sigma)*mu)^(1-alpha);
bS=(ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha *(1-ss-(1-sigma)*mu)^(1-alpha);

VSH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-sh+(1-sigma) ...
    * mu) / (sh+sigma*mu)) ^ (1-alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha)) ;

VUH=((1-t)^(1+e)) * (A^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((sh+sigma*mu) /...
    (1-sh+(1-sigma) * mu)) ^ (alpha) + log((t*(1-t)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * A^(1+e) * (sh+mu*sigma)^alpha * ...
    (1-sh+(1-sigma)*mu)^(1-alpha));

VSS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(1+e*alpha) * (1-alpha)^(e * (1-alpha))  * ((1-ss-(1-sigma) ...
    * mu) / (ss-sigma*mu)) ^ (1-alpha) + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha)) ;

VUS=((1-ts)^(1+e)) * (As^(1+e) / (1+e))  * alpha^(e*alpha) * (1-alpha)^(1+e * (1-alpha))  * ((ss-sigma*mu) /...
    (1-ss-(1-sigma) * mu)) ^ alpha + log((ts*(1-ts)^e)/(1+mu) * alpha^(e*alpha) * (1-alpha)^(e*(1-alpha)) * As^(1+e) * (ss-mu*sigma)^alpha * ...
    (1-ss-(1-sigma)*mu)^(1-alpha))  ;


resultstablez(i,1)=Az;
resultstablez(i,2)=x(1);
resultstablez(i,3)=bH;
resultstablez(i,4)=bS;
resultstablez(i,5)=x(2);
resultstablez(i,6)=VSH;
resultstablez(i,7)=VUH;
resultstablez(i,8)=VSS;
resultstablez(i,9)=VUS;
resultstablez(i,10)=exitflag;


end

 figure(1);
 plot(resultstable(1:20,1) , resultstable(1:20,2) ,resultstablez(1:20,1) , resultstablez(1:20,2),'--',resultstable(1:20,1) , resultstable(1:20,5),'-o' ,resultstablez(1:20,1) , resultstablez(1:20,5) , ':x');
 legend ('host country tax', 'host country tax - zero migration', 'source country tax', 'source country tax - zero migration', 0);
xlabel('Host country productivity')
ylabel('Tax rate')

figure(2);
plot(resultstable(1:20,1),resultstable(1:20,3) , resultstablez(1:20,1) , resultstablez(1:20,3), '--' ,resultstable(1:20,1),resultstable(1:20,4),'-o' , resultstablez(1:20,1) , resultstablez(1:20,4), ':x');
 legend ('host counry benefits', 'host counry benefits - zero migration', 'source counry benefits', 'source counry benefits - zero migration', 0);
xlabel('Host country productivity')
ylabel('Benefits per-capita')

%figure(3);
%subplot(2,1,1);
%plot(resultstable(1:20,1),resultstable(1:20,6),'-o',resultstableb(1:20,1),resultstableb(1:20,6));
 %title ('A vs Miu');
 %legend ('miu - regime A', 'miu - regime B',-1);
%xlabel('Host country productivity')
%ylabel('miu')
%subplot(2,1,2);
%plot(resultstable(1:20,1),resultstable(1:20,7),'-o',resultstableb(1:20,1),resultstableb(1:20,7));
 %title ('A vs Sigma');
 %legend ('sigma - regime A', 'sigma - regime B',-1);
%xlabel('Host country productivity')
%ylabel('sigma')

%figure(3);
%subplot(2,1,1);
%plot(resultstable(1:20,1),resultstable(1:20,6),':',resultstable(1:20,1),resultstable(1:20,7));
 %title ('A vs miu, sigma, regime A');
 %legend ('miu - regime A', 'sigma - regime A',-1);
%xlabel('Host country productivity')
%ylabel('miu, sigma')
%subplot(2,1,2);
%plot(resultstableb(1:20,1),resultstableb(1:20,6),':',resultstableb(1:20,1),resultstableb(1:20,7));
 %title ('A vs miu, sigma, regime B');
  %legend ('miu - regime B', 'sigma - regime B',-1);
%xlabel('Host country productivity')
%ylabel('miu, sigma')

 figure(4);
 plot(resultstable(1:20,1) , resultstable(1:20,2),':' ,resultstableb(1:20,1) , resultstableb(1:20,2),'LineWidth',2);
 legend ('host country tax, controlled migration', 'host country tax, free migration');
 xlabel('Host country productivity')
ylabel('Tax rate')

 %figure(5);
 %plot(resultstable(1:20,1) , resultstable(1:20,3),':' ,resultstableb(1:20,1) , resultstableb(1:20,3));
 %legend ('host country benefits regime A', 'host country benefits regime B',-1);
 %xlabel('Host country productivity')
%ylabel('benefits per capita')

 %figure(6);
 %plot(resultstable(1:20,1) , resultstable(1:20,4),':' ,resultstableb(1:20,1) , resultstableb(1:20,4));
 %legend ('source country benefits regime A', 'source country benefits regime B');
 %xlabel('host country productivity')
%ylabel('benefits per capita')

 figure(7);
 plot(resultstable(1:20,1) , resultstable(1:20,5),':',resultstableb(1:20,1) , resultstableb(1:20,5) ,'LineWidth',2 );
 legend ('source country taxe, controlled migration', 'source country tax, free migration');
 xlabel('Host country productivity')
ylabel('Tax rate')

 %figure(8);
 %subplot(2,1,1);
 %plot(resultstable(1:20,1) , resultstable(1:20,18),':' ,resultstable(1:20,1) , resultstable(1:20,19));
 %legend ('VSH regime A', 'VUH regime A',-1);
 %xlabel('Host country productivity')
%ylabel('utility')
 %subplot(2,1,2);
 %plot(resultstable(1:20,1) , resultstable(1:20,20),':' ,resultstable(1:20,1) , resultstable(1:20,21));
 %legend ('VSS regime A', 'VUS regime A',-1);
 %xlabel('Host country productivity')
%ylabel('utility')
 
%figure(9)
 %subplot(2,1,1);
 %plot(resultstableb(1:20,1) , resultstableb(1:20,12),':' ,resultstableb(1:20,1) , resultstableb(1:20,13));
 %legend ('VSH regime B', 'VUH regime B',-1);
% xlabel('Host country productivity')
%ylabel('utility')
 %subplot(2,1,2);
%plot(resultstableb(1:20,1) , resultstableb(1:20,14),':' ,resultstableb(1:20,1) , resultstableb(1:20,15));
 %legend ('VSS regime B', 'VUS regime B',-1);
 %xlabel('Host country productivity')
%ylabel('utility')

%figure(10)
 %subplot(2,1,1);
 %plot(resultstablez(1:20,1) , resultstablez(1:20,6),':' ,resultstablez(1:20,1) , resultstablez(1:20,7));
 %legend ('VSH zero migration', 'VUH zero migration',-1);
 %xlabel('Host country productivity')
%ylabel('utility')
%subplot(2,1,2);
 %plot(resultstablez(1:20,1) , resultstablez(1:20,8),':' ,resultstablez(1:20,1) , resultstablez(1:20,9));
 %legend ('VSS zero migration', 'VUS zero migration',-1);
 %xlabel('Host country productivity')
%ylabel('utility')

 
%figure(11)
 %subplot(2,1,1);
 %plot(resultstableb(1:20,1) , resultstableb(1:20,12),':' ,resultstable(1:20,1) , resultstable(1:20,18),'o',resultstablez(1:20,1) , resultstablez(1:20,6));
 %legend ('VSH regime B', 'VSH regime A', 'VSH zero migration',4);
 %xlabel('Host country productivity')
%ylabel('utility')
 %subplot(2,1,2);
 %plot(resultstableb(1:20,1) , resultstableb(1:20,14),':' ,resultstable(1:20,1) , resultstable(1:20,20),'o',resultstablez(1:20,1) , resultstablez(1:20,8));
 %legend ('VSS regime B', 'VSS regime A','VSS zero migration');
 %xlabel('Host country productivity')
%ylabel('utility')

 %figure(12);
 %plot(resultstableb(1:20,1) , resultstableb(1:20,2) ,resultstablez(1:20,1) , resultstablez(1:20,2),'--',resultstable(1:20,1) , resultstable(1:20,5),'-o' ,resultstablez(1:20,1) , resultstablez(1:20,5) , ':x');
 %legend ('tau', 'tau zero migration', 'tau*', 'tau* zero migration', -1);
%xlabel('Host country productivity')
%ylabel('Tax rate')

%figure(13);
%plot(resultstableb(1:20,1),resultstableb(1:20,3) , resultstablez(1:20,1) , resultstablez(1:20,3), '--' ,resultstable(1:20,1),resultstable(1:20,4),'-o' , resultstablez(1:20,1) , resultstablez(1:20,4), ':x');
 %legend ('bH', 'bH zero migration', 'bS', 'bS zero migration', -1);
%xlabel('Host country productivity')
%ylabel('Benefits per-capita')
